<?php

declare(strict_types=1);

namespace PHPMax\Domain;

use PHPMax\Support\Model;

class ContactInfo extends Model
{
     
    public $phone;
     
    public $firstName;
     
    public $lastName;

    protected static function schema(): array
    {
        return [
            'phone' => ['type' => 'string', 'required' => true],
            'firstName' => ['type' => 'string', 'required' => true],
            'lastName' => ['type' => 'string'],
        ];
    }
}
